<?php

namespace App\Services;

use App\Models\UserSNSModel;
use App\Entities\UserSNSEntity;
// use Google\Service\AndroidEnterprise\Resource\Users;

class UserSNSService extends CommonService
{
    public function __construct(mixed $request = null)
    {
        parent::__construct($request);;
        $this->addClassName('UserSNS');
    }
    public function getModelClass(): UserSNSModel
    {
        return new UserSNSModel();
    }
    public function getEntityClass(): UserSNSEntity
    {
        return new UserSNSEntity();
    }
    public function getFormFields(): array
    {
        return [
            "site",
            "user_uid",
            "id",
            "name",
            "email",
            "detail",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return [];
    }
    public function getBatchJobFields(): array
    {
        return [];
    }
}
